Summary: Stop trying to write man index to /usr/local (read-only)
Name: fermi-d0-makewhatis-fix
Version: 1.0
Release: 5
Copyright: FermiLab
Group: Fermi/D0
URL: http://www-d0.fnal.gov/d0unix/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Simon Epsteyn
Requires: /bin/sh, man
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description

Since /usr/local is read-only on workstations, this will
keep them from trying to build a makewhatis index on /usr/local/man

It also fixes the /usr/man/man1/rec.1 symlink

#%prep
#%setup

#%build

%install

#echo $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT

%clean
/bin/rm -rf $RPM_BUILD_ROOT

# Pre-install script
#%pre

# Post-install script
%post

## rec.1

rm -f /usr/man/man1/rec.1
(cd /usr/man/man1 && ln -sf play.1 rec.1)

## makewhatis.cron

if [ -e /etc/cron.weekly/makewhatis.cron ]; then
	rm -f /etc/cron.weekly/makewhatis.cron
fi

if [ -e /etc/cron.daily/makewhatis.cron ]; then
	/bin/cp -f /etc/cron.daily/makewhatis.cron /tmp/makewhatis.cron.d0sav
	/bin/chmod -f 755 /tmp/makewhatis.cron.d0sav
	/bin/chown -f root.root /tmp/makewhatis.cron.d0sav
fi

/bin/cat <<EOF >/etc/cron.daily/makewhatis.cron
#!/bin/bash

LOCKFILE=/var/lock/makewhatis.lock

# the lockfile is not meant to be perfect, it's just in case the
# two makewhatis cron scripts get run close to each other to keep
# them from stepping on each other's toes.  The worst that will
# happen is that they will temporarily corrupt the database...
[ -f \$LOCKFILE ] && exit 0
touch \$LOCKFILE

# Simon Epsteyn: /usr/local is read only
#makewhatis -u -w
makewhatis -u \`man --path | sed -e 's+^\(.*\)/usr/local/man\(.*\)+\1\2+' | sed -e 's/:/\ /g'\`

rm -f \$LOCKFILE
exit 0
EOF

# Pre-uninstall script
#%preun

# Post-uninstall script
%postun

## makewhatis.cron

if [ -e /tmp/makewhatis.cron.d0sav ]; then
	/bin/cp -f /tmp/makewhatis.cron.d0sav /etc/cron.daily/makewhatis.cron
	/bin/chmod -f 755 /etc/cron.daily/makewhatis.cron
	/bin/chown -f root.root /etc/cron.daily/makewhatis.cron
fi

# Files owned by this package
%files

%defattr(-,root,root)
